Reply to post

Hot!Hypersnap suddenly will not start..

Author
Mark9
User
  • Total Posts : 0
  • Scores: 0
  • Reward points: 0
  • Joined: 2017/10/24 19:45:50
  • Status: offline
2019/01/25 14:49:01 (permalink)
0

Hypersnap suddenly will not start..

The error message I get is this:
"The program can't start because api-ms-win-crt-runtimel1-1-0.dll is
missing from your computer. Try reinstalling the program to fix this problem."
All other programs run as normal (including many crt demanding programs).
When I try to reinstall Hypersnap I get the same error message... The problem seems to have started when I clicked on the "Software updates" entry (I am using 8.15.00 and wanted to update to 8.16.08)...
A little digging around indicates that the new version of Hypersnap was modified to make it work with Windows 10 (I use Windows 7 as Windows 10 isn't ready for "prime time"...)
 
"Hold the phone" as they say:  that api is part of Visual C++  so I down loaded a new copy of Visual C++, installed it, restarted the system and the problem fixed. I have updated Hypersnap to 8.16.08 and all is well now in Hypersnap land.....
post edited by Mark9 - 2019/01/25 16:48:53

1 Reply Related Threads

    Admin
    Administrator
    • Total Posts : 275
    • Scores: 6
    • Reward points: 0
    • Joined: 2010/11/22 00:00:00
    • Location: USA
    • Status: offline
    Re: Hypersnap suddenly will not start.. 2019/01/25 17:01:57 (permalink)
    0
    Hello Mark,
    it looks like you have solved the problem yourself, thank you! I really don't recognize this DLL however, it is not present on my Windows 10 computer, and all works fine. I also tested on Windows 7 (virtual machine under VMware). It also does not have a dll named api-ms-win-crt-runtimel1-1-0.dll anywhere in the system path or otherwise available to load into HyperSnap 8 process, but it works normally... No other users reported a similar problem. I really don't understand why it is needed on your system - maybe some other system utility hooks into HyperSnap 8 process and needs it? No idea.
    Jump to:
    © 2019 APG vNext Commercial Version 5.1